module.exports = {
  "entry": "src/index.js",
  "theme": {
    "layout-header-height": "48px",
    "layout-header-background": "#fff",
    "layout-footer-background": "#fff",
    "layout-sider-background": '#404040',
    'menu-dark-bg': '#404040',
    "layout-header-padding": "0",
  },
  "env": {
    "development": {
      "extraBabelPlugins": [
        "dva-hmr",
        "transform-runtime",
        ["import", { "libraryName": "antd", "style": true }]
      ],
      "no-proxy": {
        "/api": {
          "target": "http://192.168.1.121:1180",
          "changeOrigin": true,
          "pathRewrite": {
            "^/api": "/houseServer/restful-services"
          }
        }
      }
    },
    "production": {
      "extraBabelPlugins": [
        "transform-runtime",
        ["import", { "libraryName": "antd", "style": true }]
      ]
    }
  }
}
